net.i2p.i2ptunnel.udp

## Class UDPSink

- java.lang.Object
- - net.i2p.i2ptunnel.udp.UDPSink

- All Implemented Interfaces:
    Sink

      public class UDPSink
      extends Object
      implements Sink

  Author:
    welterde

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InetAddress` | `remoteHost`
    `protected int` | `remotePort`
    `protected DatagramSocket` | `sock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDPSink(InetAddress host, int port)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPort()`
    `DatagramSocket` | `getSocket()` to pass to UDPSource constructor
    `void` | `send(Destination src, byte[] data)`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sock

          protected DatagramSocket sock

    - #### remoteHost

          protected InetAddress remoteHost

    - #### remotePort

          protected int remotePort

  - ### Constructor Detail

    - #### UDPSink

          public UDPSink(InetAddress host,
                 int port)

  - ### Method Detail

    - #### send

          public void send(Destination src,
                  byte[] data)

      Specified by:
        `send` in interface `Sink`

    - #### getPort

          public int getPort()

    - #### getSocket

          public DatagramSocket getSocket()

      to pass to UDPSource constructor

    - #### stop

          public void stop()